> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ariacompute.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /api/payments/providers — 已启用的支付渠道

> 返回本站点启用了哪些钱包充值提供方，以便前端隐藏已禁用的渠道并选择正确的币种。

返回本站点启用了哪些钱包充值提供方。前端使用该响应在充值表单中隐藏不可用的渠道，并选择正确的币种。公开接口，无需认证。

**方法：** `GET` **路径：** `/api/payments/providers` **认证：** 无

## 响应

<ResponseField name="providers" type="object[]">
  <Expandable title="provider">
    <ResponseField name="name" type="string">
      `stripe`、`wechat` 或 `alipay`。
    </ResponseField>

    <ResponseField name="enabled" type="boolean">
      本站点是否已配置凭证。
    </ResponseField>

    <ResponseField name="currency" type="string">
      Stripe 为 `USD`，微信支付与支付宝为 `CNY`。
    </ResponseField>

    <ResponseField name="region" type="string">
      `intl` 或 `cn`。
    </ResponseField>
  </Expandable>
</ResponseField>

## 示例

```bash theme={null}
curl https://ariacompute.cn/api/payments/providers
```

```json theme={null}
{
  "providers": [
    { "name": "wechat", "enabled": true, "currency": "CNY", "region": "cn" },
    { "name": "alipay", "enabled": true, "currency": "CNY", "region": "cn" }
  ]
}
```

<Tip>
  `GET /api/billing/settings` 返回类似信息，以及钱包相关的 UI 配置。
</Tip>
